import {Router, Route} from 'react-router-dom';
import createHistory from "history/createBrowserHistory";
import MainPage from "./pages/MainPage";
import Page404 from "./pages/404Page";
import ContactPage from "./pages/ContactPage";
import Switch from "react-router-dom/es/Switch";
import PrivacyPolicy from "./pages/PrivacyPolicyPage";
import FAQPage from "./pages/FAQPage";
import OurTeamPage from "./pages/OurTeamPage";
import AboutUsPage from "./pages/AboutUsPage";
import {Provider} from "react-redux";
import MyAccountPage from "./pages/MyAccountPage";
import {store} from "./reducers";
import ProfilePage from "./pages/ProfilePage";

const history = createHistory();

function App() {
  return (
      <Router history={history}>
          <Provider store={store}>
              <Switch>
                  <Route path="/" component={MainPage} exact/>
                  <Route path="/about-us" component={AboutUsPage} />
                  <Route path="/our-team" component={OurTeamPage} />
                  <Route path="/faq" component={FAQPage} />
                  <Route path="/contact" component={ContactPage} />
                  <Route path="/my-account" component={MyAccountPage} />
                  <Route path="/privacy-policy" component={PrivacyPolicy} />
                  <Route path="/profile" component={ProfilePage} />
                  <Route path="*" component={Page404} />
              </Switch>
          </Provider>
      </Router>
  )
}

export default App;
